Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal
Class LibraryTemplatesIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<LibraryTemplatesID>
              com.bea.portal.tools.portal.LibraryTemplatesIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public class LibraryTemplatesIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<LibraryTemplatesID>

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`LibraryTemplatesIDBuilder()` Constructor.

Method Summary
`LibraryTemplatesID` | `createResourceID()` Create the `TemplatesID`.
`LibraryTemplatesIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LibraryTemplatesIDBuilder

    public LibraryTemplatesIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public LibraryTemplatesIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `LibraryTemplatesIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<LibraryTemplatesID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### createResourceID

    public LibraryTemplatesID createResourceID()

  Create the `TemplatesID`. the `TemplatesID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<LibraryTemplatesID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved